---
title: "Get all registered running workflows"
slug: "get-all-registered-running-workflows"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/get-all-registered-running-workflows"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all registered running workflows

Get/v1/workflow_runs

Does not query the orchestrator backend but rather a database table of registered running workflows

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parameterssort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

filterstring

A FilterQuery expression that specifies a filter to apply

limitinteger

Maximum amount of entries to provide (default is 1000)

previous_idstring (uuid) 

Start after this Run ID

previous_sort_valuestring

If a sort_by is specified that is not the ID (e.g. sort_by=name:ASC), then the value corresponding to that field of the previous_id entry must be given. This field is used for (1) efficient index lookup, and (2) to keep track of the current position in the collection, even if the previous_id entry is updated or deleted in the mean time.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='704f5b9c-53b9-435f-b525-8b670f22a1a8'>application/json</option>
</select>Expand Allobject  workflow_runs Array of object (WorkflowRun)   object  run_idstring  (uuid)    

Run ID of running workflow

run_statusstring    Valid values[
  "PENDING",
  "RUNNING",
  "FAILED",
  "SUCCEEDED",
  "TERMINATING",
  "TERMINATED",
  "UNKNOWN"
]
created_atinteger  (int64)    

Time workflow was started.

graph_idstring  (uuid)    
graph_versionstring    

The current version of the running graph, not necessarily the same version that was started originally.

group_idstring  (uuid)    
deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

workflow_cluster_dataobject (WorkflowRunData)  AciSingleJobobject (AciWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    
container_group_namestring    
deployment_namestring    

KubernetesSingleJobobject (KubernetesWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)
